libgslcblas0_2.5+dfsg-6+b1_i386.deb


Advertisement

Description

libgslcblas0 - GNU Scientific Library (GSL) -- blas library package

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename libgslcblas0_2.5+dfsg-6+b1_i386.deb
Package name libgslcblas0
Package version 2.5+dfsg
Package release 6+b1
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://www.gnu.org/software/gsl
License -
Maintainer Dirk Eddelbuettel <edd@debian.org>
Download size 97.18 KB
Installed size 277.00 KB

Alternatives

Package Version Architecture Repository
libgslcblas0_2.5+dfsg-6+b1_amd64.deb 2.5+dfsg amd64 Debian Main
libgslcblas0 - - -

Requires

Name Value
libc6 >= 2.1.3

Conflicts

Name Value
gsl -
libgsl0 -
libgsl0ldbl -
libgsl2 -

Replaces

Name Value
gsl -
libgsl0 <= 1.9-4
libgsl0ldbl <= 1.16+dfsg-4
libgsl2 -
libgsl23 << 2.4+dfsg-4

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libgslcblas0_2.5+dfsg-6+b1_i386.deb
Source Package gsl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgslcblas0 deb package:
    # sudo apt-get install libgslcblas0

Files

Path
/usr/lib/i386-linux-gnu/libgslcblas.so.0
/usr/lib/i386-linux-gnu/libgslcblas.so.0.0.0
/usr/share/doc/libgslcblas0/changelog.Debian.gz
/usr/share/doc/libgslcblas0/changelog.Debian.i386.gz
/usr/share/doc/libgslcblas0/changelog.gz
/usr/share/doc/libgslcblas0/copyright

Changelog

2018-11-26 - Dirk Eddelbuettel <edd@debian.org>
gsl (2.5+dfsg-6) unstable; urgency=medium
* filter/rmedian.c: Renamed structure element delete to delete_oldest
* movstat/apply.c: Idem
* movstat/gsl_movstat.h: Idem				(Closes: #912341)
* doc/gsl-randist.1: Applied patch suggested by Barak Pearlmutter
(Closes: #915539)
2018-08-23 - Dirk Eddelbuettel <edd@debian.org>
gsl (2.5+dfsg-5) unstable; urgency=medium
[ Steve Langasek ]
* Makefile.am: Resolve underlinkage of libgslcblas (Closes: #907119)
* debian/rules: Enforce current automake and autolocal for dh_autoreconf
[ Dirk Eddelbuettel ]
* debian/*: Applied Steve's patch, with thanks
2018-06-28 - Dirk Eddelbuettel <edd@debian.org>
gsl (2.5+dfsg-4) unstable; urgency=medium
* debian/libgsl23.shlibs: Use correct suffix		(Closes: #902623)
* debian/libgslcblas0.shlibs: Idem
2018-06-26 - Dirk Eddelbuettel <edd@debian.org>
gsl (2.5+dfsg-3) unstable; urgency=medium
* Rebuilding for unstable
* debian/patches/series: Reactivate 'dont-disable-deprecated' to provide
otherwise deprecated symbols for the Perl GSL package (Closes: #902281)
2018-06-24 - Dirk Eddelbuettel <edd@debian.org>
gsl (2.5+dfsg-2) experimental; urgency=medium
* debian/patches/series: Reactivate 'dont-disable-deprecated' to provide
otherwise deprecated symbols for the Perl GSL package (Closes: #902281)
2018-06-16 - Dirk Eddelbuettel <edd@debian.org>
gsl (2.5+dfsg-1) unstable; urgency=medium
* New upstream release
* doc/*.{rst,texi,info}: As before, removed files from the doc/
directory now containing what Debian considers to be 'non-free'
documentation (ie texinfo pages) to create a source package that
complies with Debian's interpretation of what is free.
* doc/Makefile.am: Made all targets apart from man files 'empty'
* configure.ac: Once again do no mark deprecated functions as such
2017-08-09 - Dirk Eddelbuettel <edd@debian.org>
gsl (2.4+dfsg-6) unstable; urgency=medium
* debian/control: Version is as 'Replaces: libgsl23 (<< 2.4+dfsg-4)'
2017-08-07 - Dirk Eddelbuettel <edd@debian.org>
gsl (2.4+dfsg-5) unstable; urgency=medium
* debian/control: Add Replaces: libgsl23 to libgslcblas (Closes: #871269)
2017-08-05 - Dirk Eddelbuettel <edd@debian.org>
gsl (2.4+dfsg-4) unstable; urgency=medium
* debian/control: New package libgslcblas0 to contain the BLAS interface
library which never changes ABI 			(Closes: #870772)
* debian/control: Add Depends: libgslcblas0 to libgsl23 and libgsl-dev
2017-07-27 - Dirk Eddelbuettel <edd@debian.org>
gsl (2.4+dfsg-3) unstable; urgency=medium
* debian/control: New package libgsl23 matching current soname
* debian/rules: libgsl2.* renamed to libgsl23.*
* debian/libgsl23.shlib: Updated
* configure.ac: Reverting previous change

See Also

Package Description
libgsm-tools_1.0.18-2_i386.deb User binaries for a GSM speech compressor
libgsm1-dev_1.0.18-2_i386.deb Development libraries for a GSM speech compressor
libgsm1_1.0.18-2_i386.deb Shared libraries for GSM speech compressor
libgsmme-dev_1.10+20120414.gita5e5ae9a-0.3+b1_i386.deb Header files and static libraries for gsmlib
libgsmme1v5_1.10+20120414.gita5e5ae9a-0.3+b1_i386.deb GSM mobile phone access library
libgsmsd8_1.40.0-1_i386.deb SMS daemon helper library
libgsoap-2.8.75_2.8.75-2_i386.deb Runtime libraries for gSOAP
libgsoap-dev_2.8.75-2_i386.deb Development libraries and headers for gSOAP
libgsound-dev_1.0.2-4_i386.deb small library for playing system sounds (devel)
libgsound-doc_1.0.2-4_all.deb small library for playing system sounds (documentation)
libgsound0_1.0.2-4_i386.deb small library for playing system sounds
libgspell-1-1_1.6.1-2_i386.deb spell-checking library for GTK+ applications
libgspell-1-common_1.6.1-2_all.deb libgspell architecture-independent files
libgspell-1-dev_1.6.1-2_i386.deb spell-checking library for GTK+ applications - development files
libgss-dev_1.0.3-4_i386.deb Development and documentation files for Generic Security Services
Advertisement
Advertisement